
using Godot;


namespace Rokojori
{  
  [Tool]
  [GlobalClass, Icon("res://addons/rokojori_action_library/Icons/WindManager.svg") ]
  public abstract partial class WindSpeed:Resource
  {   
    public abstract Vector2 GetNormalizedWindSpeedOffset( double delta, float minKMH, float maxKMH );

    public abstract float GetKMH();
  
  }
}